package com.docus.webservice.controller;

import com.docus.webservice.service.IPcmachineService;
import com.docus.webservice.utils.HttpUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
@RestController
@Api(value = "检测心跳接口",tags = "检测心跳接口")
public class BeatController {

    @Autowired
    IPcmachineService pcmachineService;

    @ApiOperation("心跳")
    @GetMapping("/beat")
    public void beat(@RequestParam("code") String code, HttpServletRequest request){
        String ip = HttpUtils.getIpAddr(request);
        pcmachineService.beat(code,ip);
    }


}
