package com.docus.webservice.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("文件库中的省中医病案采集-子任务表")
public class AfInterfaceCollectSub {
    private Long id;
    @ApiModelProperty(value = "af_interface_collect表id")
    private Long afInterfaceCollectId;
    @ApiModelProperty(value = "采集器id")
    private String collectsysCode;
    @ApiModelProperty(value = "子任务流水号 同一份文件子任务需一致")
    private String serialnumSub;
    @ApiModelProperty(value = "记账号")
    private String jzh;
    @ApiModelProperty(value = "分类名称")
    private String assortName;
    @ApiModelProperty(value = "状态 0:未发起，1：成功，2：失败")
    private Integer state;
    @ApiModelProperty(value = "请求信息")
    private String requestMessage;
}
