package com.docus.webservice.service;

import com.docus.webservice.entity.Pcmachine;
import com.docus.webservice.mapper.PcmachineMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class PcmachineServiceImpl implements IPcmachineService {

    @Autowired
    PcmachineMapper pcmachineMapper;


    @Override
    public void beat(String code, String ip) {
        String name=pcmachineMapper.getNameByCode(code);
        String id= pcmachineMapper.getIdByName(name);
        Pcmachine pcmachine=new Pcmachine();
        pcmachine.setId(Long.parseLong(id));
        pcmachine.setIpaddress(ip);
        pcmachine.setLastonline(new Date());
        pcmachine.setPcstatus(1);
        System.out.println(pcmachine);
        pcmachineMapper.update(pcmachine);
    }

    @Override
    public void isBeat() {
        pcmachineMapper.isBeat();
    }

    @Override
    public Integer count() {
       return pcmachineMapper.count();
    }
}
