package com.docus.webservice.config;

import com.docus.webservice.service.IPcmachineService;
import io.swagger.models.auth.In;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class MyScheduling {

    @Autowired
    IPcmachineService pcmachineService;

    private Logger logger= LogManager.getLogger(MyScheduling.class);

    //10分钟执行一次
    @Scheduled(fixedRate = 1000*60*10)
    public void beat(){
        Integer count = pcmachineService.count();
        logger.info("----心跳执行开始,当前在线采集器数："+count+"----");
        pcmachineService.isBeat();
        Integer count2 = pcmachineService.count();
        logger.info("----心跳执行结束,此次心跳下线采集数："+(count-count2)+"----");

    }

}
