package com.docus.webservice.config;

import com.docus.webservice.enums.Codes;
import com.docus.webservice.handler.ITBasicWebService;
import com.docus.webservice.handler.TBasicWebService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

@Configuration
public class WebServiceConfig {
    //把实现类交给spring管理
    @Bean
    public ITBasicWebService tBasicWebService() {
        return new TBasicWebService();
    }

    @Bean
    public Endpoint endpoint() {
        System.out.println("-----------------------web service服务已发布-------------------------");
        String address = "http://"+"0.0.0.0"+":" + Codes.EXTERNAL.getCode()+"/" + Codes.EXTERNAL.getMessage();
        Endpoint publish = Endpoint.publish(address, tBasicWebService());
        System.out.println("        "+address);
        return publish;
    }

}
