package com.docus.webservice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "采集器状态表", description = "采集器状态表")
public class Pcmachine {
    @ApiModelProperty(value = "病案主键")
    @TableId(value = "patient_id", type = IdType.ASSIGN_ID)
    private Long id;
    private String machineinfo;
    private String ipaddress;
    private String showtext;
    private Integer enable;
    private String descrption;
    private Date createdtime;
    private String createdBy;
    private Integer pcstatus;
    private Date lastonline;
    private String c1;
    private String c2;
    private String c3;
    private Double d1;
    private Double d2;
    private Double d3;
    private Date t1;
    private Date t2;
    private Date t3;
}
