package com.docus.bgts.service;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.docus.bgts.entity.AfCollectTask;
import com.docus.bgts.facade.IAfCollectTaskService;
import com.docus.bgts.mapper.AfCollectTaskMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 病案采集任务 服务实现类
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
@Service
public class AfCollectTaskServiceImpl extends ServiceImpl<AfCollectTaskMapper, AfCollectTask> implements IAfCollectTaskService {

    @Autowired
    AfCollectTaskMapper afCollectTaskMapper;

    @Override
    public String getpatientIdByEmpId(String empId) {
        String patientId=afCollectTaskMapper.getpatientIdByEmpId(empId);
        return patientId;
    }
}
